package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 开栓|安检|维修业务对象 z_comprehensive
 *
 * @author ruoyi
 * @date 2023-12-27
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZComprehensiveBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 小区id
     */
    @NotBlank(message = "小区id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String areaId;

    /**
     * 楼栋id
     */
    @NotBlank(message = "楼栋id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildingId;

    /**
     * 单元id
     */
    @NotBlank(message = "单元id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String unitId;

    /**
     * 房间id
     */
    @NotBlank(message = "房间id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String houseId;

    /**
     * 类型
     */
    @NotBlank(message = "类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 安检是否合格
     */
    @NotBlank(message = "安检是否合格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isQualified;

    /**
     * 是否维修
     */
    @NotBlank(message = "是否维修不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isMaintenance;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
