package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民用工程业务对象 z_engineering_civil
 *
 * @author ruoyi
 * @date 2023-12-27
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringCivilBo extends BaseEntity {

    /**
     * 主键
     */
    @NotBlank(message = "主键不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 行政区
     */
    @NotBlank(message = "行政区不能为空", groups = { AddGroup.class, EditGroup.class })
    private String district;

    /**
     * 小区id
     */
    @NotBlank(message = "小区id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String areaId;

    /**
     * 楼宇id
     */
    @NotBlank(message = "楼宇id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildingId;

    /**
     * 单元id
     */
    @NotBlank(message = "单元id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String unitId;

    /**
     * 房间id
     */
    @NotBlank(message = "房间id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String houseId;

    /**
     * 工程类型
     */
    @NotBlank(message = "工程类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginType;

    /**
     * 工程分类
     */
    @NotBlank(message = "工程分类不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginClassification;

    /**
     * 工程周期
     */
    @NotBlank(message = "工程周期不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginCycle;

    /**
     * 完工状态
     */
    @NotBlank(message = "完工状态不能为空", groups = { AddGroup.class, EditGroup.class })
    private String completionStatus;

    /**
     * 默认图片地址
     */
    @NotBlank(message = "默认图片地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String imgUrl;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
